Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSScreenSharingListener Class Reference

CSScreenSharingListener is a class that is responsible for two things: More...

`#import <CSScreenSharingListener.h>`

Inherits NSObject.

## Instance Methods
(void) | - drawSharingBlock:
| Draws CSSharingBlock object received from collaboration server on layer. More...
(void) | - displayLayer:
| Implementation of informal CALayer drawing protocol. More...
(instancetype) | - initWithFrame:
| Inits CSScreenSharingListener with frame size which is used to properly set a pause screen size. More...
(void) | - setViewSize:
| Sets drawing layer frame to rect which origin is {0,0} and given size. More...
(CGSize) | - contentSize

## Properties
CALayer * | drawingLayer
| The layer that drawing will be performed on. More...
CSView * | drawingView
| A view, that a drawingLayer is assigned as content. More...

## Detailed Description

CSScreenSharingListener is a class that is responsible for two things:

1. It's a listener to a CSContentSharingDelegate which delegates events coming from collaboration server concerning content sharing.
2. It's a drawing delegate of CALayer behind a CSScreenSharingView object and it's responsible for drawing incoming frames on the layer.

Proper use of this class:

- Client creates a view of CSIOSScreenSharingView class
- Client creates a CSScreenSharingListener object (inited with sharing view's size)
- set contentSharingDelegate of CSIOSScreenSharingView to object of CSScreenSharingListener class

Client doesn't need to invoke methods of this class in order to make content sharing work unless custom screen sharing view is developed.

See also
  CSContentSharingDelegate

## Method Documentation

- (CGSize) contentSize |  |  |

Returns
  Returns size of the current screen sharing.

- (void) displayLayer: |  | (CALayer *) | layer |

Implementation of informal CALayer drawing protocol.

It puts content on layer. It is called, when needsDisplay is set to YES on drawingLayer

Parameters

  layer | Layer to display

- (void) drawSharingBlock: |  | (CSSharingBlock *) | bitmapBlock |

Draws CSSharingBlock object received from collaboration server on layer.

Parameters

  bitmapBlock | Block to draw on drawing layer

See also
  CSSharingBlock

- (instancetype) initWithFrame: |  | (CGRect) | frame |

Inits CSScreenSharingListener with frame size which is used to properly set a pause screen size.

Parameters

  frame | Frame of screen sharing view

- (void) setViewSize: |  | (CGSize) | size |

Sets drawing layer frame to rect which origin is {0,0} and given size.

Parameters

  size | Size of frame to be set.

## Property Documentation

- (CALayer*) drawingLayer
| read write nonatomic strong

The layer that drawing will be performed on.

Initialized internally by CSScreenSharingListener.

- (CSView*) drawingView
| read write nonatomic weak

A view, that a drawingLayer is assigned as content.

Here, it's used to apply any sharing screen viewport size changes. Initialized internally by CSScreenSharingListener.

The documentation for this class was generated from the following file:

- CSScreenSharingListener.h